resources:
  App\Entity\User\CustomerImage:
    security: 'is_granted("ROLE_INTERNAL") or is_granted("ROLE_API_KEY")'
    securityMessage: 'You are not authorized to access this resource.'
    normalizationContext:
      groups:
        - 'identifier:read'
        - 'time_trace:read'
        - 'customer_image:read'

    denormalizationContext:
      groups:
        - 'customer_image:write'


    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'customer_image.order_filter', 'customer_image.search_filter' ]
        openapiContext:
          summary: Customer Image- List.
          description: >
            Retrieves a list of Customer

      ApiPlatform\Metadata\Get:
        openapiContext:
          summary: Customer Image - Item.
          description: >
            Retrieves a item of Customer Image

      ApiPlatform\Metadata\Put:
        inputFormats:
          json: [ 'application/json' ]
          multipart: [ 'multipart/form-data' ]
        openapiContext:
          summary: Customer Image - Update.
          description: >
            update an item of Customer Image

      ApiPlatform\Metadata\Delete:
        openapiContext:
          summary: Customer Image - Delete.
          description: >
            delete an item of Customer Image
